apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    deployment.kubernetes.io/revision: "1"
    meta.helm.sh/release-name: tcp-testapp-v1
    meta.helm.sh/release-namespace: bluegreen-app
  creationTimestamp: "2023-03-14T06:54:22Z"
  generation: 1
  labels:
    app.kubernetes.io/instance: tcp-testapp-v1
    app.kubernetes.io/managed-by: Helm
    app.kubernetes.io/name: f5ing-testapp
    app.kubernetes.io/version: v0.11.1
    helm.sh/chart: f5ing-testapp-0.11.1
    name: tcp-testapp-v1-f5ing-testapp
    namespace: bluegreen-app
    resourceVersion: "107325021"
    uid: 2a902618-5733-4ad3-80cc-0272b690d217
  spec:
    progressDeadlineSeconds: 600
    replicas: 2
    revisionHistoryLimit: 10
    selector:
      matchLabels:
        app.kubernetes.io/instance: tcp-testapp-v1
        app.kubernetes.io/name: f5ing-testapp
    strategy:
      rollingUpdate:
        maxSurge: 25%
        maxUnavailable: 25%
      type: RollingUpdate
    template:
      metadata:
        creationTimestamp: null
        labels:
          app.kubernetes.io/instance: tcp-testapp-v1
          app.kubernetes.io/name: f5ing-testapp
      spec:
        containers:
        - env:
          - name: HTTPPORT
            value: "8000"
          - name: TCPPORT
            value: "8050"
          - name: UDPPORT
            value: "8100"
          image: artifactory.f5net.com/f5-f5ingress-docker/f5ing-testapp:v0.11.1
          imagePullPolicy: IfNotPresent
          livenessProbe:
            failureThreshold: 3
            httpGet:
              path: /
              port: 8000
              scheme: HTTP
            periodSeconds: 10
            successThreshold: 1
            timeoutSeconds: 1
          name: f5ing-testapp
          ports:
          - containerPort: 8051
            name: http
            protocol: TCP
          readinessProbe:
            failureThreshold: 3
            httpGet:
              path: /
              port: 8000
              scheme: HTTP
            periodSeconds: 10
            successThreshold: 1
            timeoutSeconds: 1
          resources: {}
          securityContext:
            capabilities:
              drop:
              - ALL
            readOnlyRootFilesystem: true
            runAsNonRoot: true
            runAsUser: 1000
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
        dnsPolicy: ClusterFirst
        imagePullSecrets:
        - name: regsecret
        restartPolicy: Always
        schedulerName: default-scheduler
        securityContext: {}
        serviceAccount: tcp-testapp-v1-f5ing-testapp
        serviceAccountName: tcp-testapp-v1-f5ing-testapp
        terminationGracePeriodSeconds: 30
  status:
    availableReplicas: 2
    conditions:
    - lastTransitionTime: "2023-03-14T06:54:28Z"
      lastUpdateTime: "2023-03-14T06:54:28Z"
      message: Deployment has minimum availability.
      reason: MinimumReplicasAvailable
      status: "True"
      type: Available
    - lastTransitionTime: "2023-03-14T06:54:22Z"
      lastUpdateTime: "2023-03-14T06:54:28Z"
      message: ReplicaSet "tcp-testapp-v1-f5ing-testapp-5d5f58cff" has successfully progressed.
      reason: NewReplicaSetAvailable
      status: "True"
      type: Progressing
    observedGeneration: 1
    readyReplicas: 2
    replicas: 2
    updatedReplicas: 2
kind: List
metadata:
  resourceVersion: ""
  selfLink: ""
